> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vendor Mapping Transaction Count



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /api/vendor/mapping_transaction_count
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /api/vendor/mapping_transaction_count:
    get:
      tags:
        - vendors
        - quanta-services-api
      summary: Get Vendor Mapping Transaction Count
      operationId: get_vendor_mapping_transaction_count
      parameters:
        - name: include_departments
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Departments
        - name: exclude_common
          in: query
          required: false
          schema:
            type: boolean
            default: true
            title: Exclude Common
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 500
            minimum: 1
            default: 100
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingVendorGlAccountMappingsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    OnboardingVendorGlAccountMappingsResponse:
      properties:
        mappings:
          items:
            $ref: '#/components/schemas/VendorGlAccountMapping'
          type: array
          title: Mappings
      type: object
      required:
        - mappings
      title: OnboardingVendorGlAccountMappingsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VendorGlAccountMapping:
      properties:
        spend_trait_vendor:
          $ref: '#/components/schemas/VendorMappingVendor'
        gl_account:
          $ref: '#/components/schemas/VendorMappingGlAccount'
        transaction_count:
          type: integer
          title: Transaction Count
        department:
          anyOf:
            - $ref: '#/components/schemas/VendorMappingDepartment'
            - type: 'null'
        current_vendor_account:
          $ref: '#/components/schemas/CurrentVendorMapping'
        current_vendor_department:
          anyOf:
            - $ref: '#/components/schemas/CurrentVendorMapping'
            - type: 'null'
        matches_default_mapping:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Matches Default Mapping
      type: object
      required:
        - spend_trait_vendor
        - gl_account
        - transaction_count
        - current_vendor_account
      title: VendorGlAccountMapping
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VendorMappingVendor:
      properties:
        qid:
          type: string
          title: Qid
        name:
          type: string
          title: Name
      type: object
      required:
        - qid
        - name
      title: VendorMappingVendor
    VendorMappingGlAccount:
      properties:
        qid:
          type: string
          title: Qid
        name:
          type: string
          title: Name
        type:
          $ref: '#/components/schemas/AccountType'
      type: object
      required:
        - qid
        - name
        - type
      title: VendorMappingGlAccount
    VendorMappingDepartment:
      properties:
        qid:
          type: string
          title: Qid
        name:
          type: string
          title: Name
      type: object
      required:
        - qid
        - name
      title: VendorMappingDepartment
    CurrentVendorMapping:
      properties:
        qid:
          anyOf:
            - type: string
            - type: 'null'
          title: Qid
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        matches:
          type: boolean
          title: Matches
      type: object
      required:
        - matches
      title: CurrentVendorMapping
    AccountType:
      type: string
      enum:
        - ACCOUNTS_RECEIVABLE
        - BANK
        - FIXED_ASSET
        - OTHER_ASSET
        - OTHER_CURRENT_ASSET
        - ACCOUNTS_PAYABLE
        - CREDIT_CARD
        - OTHER_CURRENT_LIABILITY
        - LONG_TERM_LIABILITY
        - EQUITY
        - INCOME
        - OTHER_INCOME
        - COST_OF_GOODS_SOLD
        - EXPENSE
        - OTHER_EXPENSE
      title: AccountType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.